`timescale 1ns / 1ps
`default_nettype none
module clk_mk(
					SEL,
					CLK,
					CLR_N,
					CLK_OUT
					);

	input wire	SEL;
	input wire	CLK;
	input wire	CLR_N;
	output wire	CLK_OUT;

	reg [4:0] clk_count;
	reg out_reg;

	always @(posedge CLK)
	begin
	if(CLR_N == 1'b0)
		begin
		clk_count = 5'd0;
		out_reg = 1'b0;
		end
	else
		begin
		if(SEL == 1'b1)
			begin
			if(clk_count == 5'd11)
				begin
				clk_count <= 5'd0;
				out_reg <= ~out_reg;
				end
			else
				begin
				clk_count <= clk_count + 5'd1;
				end
			end
		else
			begin
			if(clk_count == 5'd23)
				begin
				clk_count <= 5'd0;
				out_reg <= ~out_reg;
				end
			else
				begin
				clk_count <= clk_count + 5'd1;
				end
			end
		end
	end

	assign	CLK_OUT = out_reg;

endmodule
